Index: /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 218)
@@ -16,7 +16,12 @@
       ; REQUIRED --file_1-- INPUT FILE
       ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_xy_av"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_xy_av.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
@@ -25,14 +30,54 @@
 
 
-         file_1 = "File in" 
-	 
-	 
-      end if
-      ;***************************************************
-      ; REQUIRED --xyc, xzc, yzc-- SECTION of XY or XZ or YZ
+         file_1 = "file_1" 
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --start_f-- START OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f"))then  
+      
+          
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --end_f-- END OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f"))then  
+      
+          
+         end_f = -1
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED --xyc--xzc--yzc-- SELECTION of XY or XZ or YZ CROSS SECTIONS
       ;
       ; desired section has to be set to 1; e.g.: xyc=1, xzc=0 and yzc=0 for xy-section
       ;
       ; data type: integer
+      ;
+      ; example: xyc = 1
+      ;	         xzc = 0
+      ;	         yzc = 0
       ;
       ; default:   0
@@ -56,7 +101,9 @@
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
-      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
-      ;
-      ; data type: string
+      ; format of the output file; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
+      ;
+      ; data type: string
+      ;
+      ; example: format_out = "pdf"
       ;
       ; default:   "x11" 
@@ -72,7 +119,9 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
-      ;
-      ; data type: string
+      ; path and name of the output file
+      ;
+      ; data type: string
+      ;
+      ; example: file_out = "/home/path_to_output/test_cs"
       ;
       ; default:   "~/test_cs" 
@@ -86,9 +135,11 @@
       end if	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
       ;
       ; data type: integer
+      ; 
+      ; example: no_columns = 1
       ;
       ; default:   1
@@ -102,16 +153,18 @@
       end if	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
       ;
       ; data type: integer
+      ; 
+      ; example: no_rows = 2
       ;
       ; default:   2 
       ;***************************************************
-      if(.not. isvar("no_lines"))then	 
-      
-      
-         no_lines = 2
+      if(.not. isvar("no_rows"))then	 
+      
+      
+         no_rows = 2
 	 
 	 
@@ -124,4 +177,6 @@
       ; data type: string
       ;
+      ; example: sort = "layer"
+      ;
       ; default:   "layer" 
       ;***************************************************
@@ -136,10 +191,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if(.not. isvar("var"))then
@@ -153,9 +209,11 @@
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   start_time_step = 0.5 
+      ;
       ; default:   -1.d (first available time step)
       ;***************************************************
@@ -170,9 +228,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -188,9 +248,10 @@
       ;
       ; value for minimum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter]
       ;
+      ; example: xs = 150.0
+      ;
       ; default:   -1.d (minimum of range)
       ;***************************************************
@@ -206,9 +267,10 @@
       ;
       ; value for maximum of x-axis, selectable if there are NO preseted layers for x (as for XY or XZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter] 
       ;
+      ; example: xe = 300.0
+      ;
       ; default:   -1.d (maximum of range)
       ;***************************************************
@@ -224,9 +286,10 @@
       ;
       ; value for minimum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value
       ;
       ; data type: double; dimension: [meter]
       ;
+      ; example: ys = 150.0
+      ;
       ; default:   -1.d (minimum of range)
       ;***************************************************
@@ -242,8 +305,9 @@
       ;
       ; value for maximum of y-axis, selectable if there are NO preseted layers for y (as for XY or YZ 2D-DATA);
-      ; you don't have to specify a precise meter value from the input file, it will be rounded to the next 
-      ; existent value 
+      ; there is no need to specify a precise meter value from the input file, it is rounded to the next existent value 
       ;
       ; data type: double; dimension: [meter]
+      ;
+      ; example: ye = 300.0
       ;
       ; default:   -1.d (maximum of range)
@@ -264,4 +328,6 @@
       ; data type: integer
       ;
+      ; example: zs = 0
+      ;
       ; default:   -1 (minimum of range)
       ;***************************************************
@@ -281,4 +347,6 @@
       ; data type: integer
       ;
+      ; example: ze = 15
+      ;
       ; default:   -1 (maximum of range)
       ;***************************************************
@@ -297,4 +365,6 @@
       ; data type: string
       ;
+      ; example: mode = "Fill"
+      ;
       ; default:   "Fill" 
       ;***************************************************
@@ -313,4 +383,6 @@
       ; data type: string
       ;
+      ; example: fill_mode = "AreaFill"
+      ;
       ; default:   "AreaFill" 
       ;***************************************************
@@ -325,7 +397,9 @@
       ; OPTIONAL --shape-- ASPECT RATIO 
       ;
-      ; aspect ratio of axis is kept [=1] or  not[=0]
-      ;
-      ; data type: integer
+      ; aspect ratio of axis is kept [=1] or not[=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: shape = 1
       ;
       ; default:   1 
@@ -337,61 +411,226 @@
 	 
 	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.04
+      ;
+      ; default:   0.04 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.04
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.02
+	 
+	 
+      end if	
+      ;***************************************************
+      ; OPTIONAL --legend_label_stride-- REDUCTION OF THE NUMBER OF LABELS IN THE LEGEND
+      ;
+      ; if legend_label_stride is set to 1 every label is shown; if set to 2 every second,...
+      ;
+      ; data type: integer
+      ;
+      ; example: legend_label_stride = 2
+      ;
+      ; default:   2 
+      ;***************************************************
+      if(.not. isvar("legend_label_reduction"))then
+      
+      	 
+         legend_label_stride = 2
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --axes_explicit-- EXPLICIT SETTINGS OF X- AND Y-AXES ARE SWITCHED ON
+      ;
+      ; to use several parameters to set up the axes, 'axes_explicit' must be switched [=1]; if switched off [=0] units of axes are [gridpoints]
+      ;
+      ; data type: integer
+      ;
+      ; example: axes_explicit = 0
+      ;
+      ; default:   0 
+      ;***************************************************
+      if(.not. isvar("axes_explicit"))then
+      
+      	 
+         axes_explicit = 0
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --major_ticks_x-- NUMBER OF MAJOR TICK MARKS AT X-AXIS
+      ;
+      ; major_ticks_x can be set to any integer, best segmentation of x-axis can be achieved, if 
+      ; (number of gripdpoints in x-direction)/(major_ticks_x-1)=INTEGER, e.g. 128/8 = 16 -> major_ticks_x should be set to 9
+      ;
+      ; data type: integer
+      ;
+      ; example: major_ticks_x = 6
+      ;
+      ; default:   6 
+      ;***************************************************
+      if(.not. isvar("major_ticks_x"))then
+      
+      	 
+         major_ticks_x = 6
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --major_ticks_y-- NUMBER OF MAJOR TICK MARKS AT Y-AXIS
+      ;
+      ; major_ticks_y can be set to any integer, best segmentation of y-axis can be achieved, if 
+      ; (number of gripdpoints in y-direction)/(major_ticks_y-1)=INTEGER, e.g. 128/8 = 16 -> major_ticks_y should be set to 9
+      ;
+      ; data type: integer
+      ;
+      ; example: major_ticks_y = 6
+      ;
+      ; default:   6 
+      ;***************************************************
+      if(.not. isvar("major_ticks_y"))then
+      
+      	 
+         major_ticks_y = 6
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --norm_x--norm_y--norm_z-- NORMALISE X-, Y- and Z-AXES
+      ;
+      ; normalising the axes with the given value; units can explicitly set; by default no normalising is used and units are [meter]
+      ;
+      ; data type: float
+      ;
+      ; default:   1. 
+      ;***************************************************
+      if(.not. isvar("norm_x"))then      
+      	 
+         norm_x = 1.	 
+	 
+      end if
+      if(.not. isvar("norm_y"))then      
+      	 
+         norm_y = 1.	 
+	 
+      end if
+      if(.not. isvar("norm_z"))then      
+      	 
+         norm_z = 1.	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL if axes_explicit = 1 --unit_x--unit_y--unit_z-- UNITS OF X-, Y- and Z-AXES
+      ;
+      ; units of the axes can be set; by default no units are given, if norm_x, norm_y or norm_z are unequal 1., otherwise units are [meter]
+      ;
+      ; data type: string, 
+      ;
+      ; example: unit_x = "m/s"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unit_x"))then      
+      	 
+         unit_x = " "	 
+	 
+      end if
+      if(.not. isvar("unit_y"))then      
+      	 
+         unit_y = " "	 
+	 
+      end if
+      if(.not. isvar("unit_z"))then      
+      	 
+         unit_z = " "	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --vector-- VECTOR PLOT 
+      ;
+      ; a vector plot for one defined vector is switched on [=1] or off [=0]
+      ;
+      ; data type: integer
+      ;
+      ; example: vector = 0
+      ;
+      ; default:   0 
+      ;***************************************************
+      if(.not. isvar("vector"))then
+      
+      	 
+         vector = 0
+	 
+	 
       end if	 
       ;***************************************************
-      ; OPTIONAL --vector-- VECTOR PLOT 
-      ;
-      ; a vector plot for one defined vector will be switched on [=1] or off [=0]
-      ;
-      ; data type: integer
-      ;
-      ; default:   0 
-      ;***************************************************
-      if(.not. isvar("vector"))then
-      
-      	 
-         vector = 0
-	 
+      ; REQUIRED IF vector=1 --vec1, vec2-- VECTOR FOR VECTOR PLOT 
+      ;
+      ; variables for the vector, vec1 hast to be set to component 1 and vec2 to component 2;
+      ; inidcate them with one comma before and after each variable;
+      ;
+      ; data type: string
+      ;
+      ; example: vec1=",u,"
+      ;          vec2=",v,"
+      ;
+      ; default:   vec1 = "component1", vec2 = "component2" 
+      ;***************************************************
+      if(.not. isvar("vec1"))then     
+      	 
+         vec1 = "component1"
+	 
+      end if
+      if (.not. isvar("vec2"))then 
+      
+	 vec2 = "component2"	 
 	 
       end if	 
       ;***************************************************
-      ; REQUIRED IF vector=1 --vec1, vec2-- VECTOR FOR VECTOR PLOT 
-      ;
-      ; variables for the vector, vec1 hast to be set to component 1 and vec2 to component 2;
-      ; please inidcate them with one comma before and after each variable;
-      ; e.g.: vec1=",u," and vec2=",v," for plotting the horizontal windvector
-      ;
-      ; data type: string
-      ;
-      ; default:   vec1 = "component1", vec2 = "component2" 
-      ;***************************************************
-      if(.not. isvar("vec1"))then     
-      	 
-         vec1 = "component1"
-	 
-      end if
-      if (.not. isvar("vec2"))then 
-      
-	 vec2 = "component2"	 
+      ; OPTIONAL --plotvec-- VARIABLE FOR EXTRA VECTOR PLOT
+      ;
+      ; the vector plot can be combined with other plots of variables; if this is desired inidcate the variables, 
+      ; where a vector plot shall overlay; inidcate them with one comma before and after each variable
+      ;
+      ; data type: string
+      ;
+      ; example: plotvec = ",u,w,"
+      ;
+      ; default:   "plotvec" (no combining, the vector plot is created seperately) 
+      ;***************************************************
+      if(.not. isvar("plotvec"))then
+      
+      	 
+         plotvec = "plotvec"
+	 
 	 
       end if	 
       ;***************************************************
-      ; OPTIONAL --plotvec-- VARIABLE FOR EXTRA VECTOR PLOT
-      ;
-      ; the vector plot can be combined with other variables; if desired inidcate the variables 
-      ; with one comma before and after it; e.g. plotvec=",u,v,w," (the vector plot 
-      ; will combined with the contour plots of u, v and w)
-      ;
-      ; data type: string
-      ;
-      ; default:   plotvec (no combining, the vector plot will be created seperately) 
-      ;***************************************************
-      if(.not. isvar("plotvec"))then
-      
-      	 
-         plotvec = "plotvec"
-	 
-	 
-      end if	 
-      ;***************************************************
       ; OPTIONAL --ref_mag-- REFERENCE VECTOR 
       ;
@@ -399,4 +638,6 @@
       ;
       ; data type: float
+      ;
+      ; example: ref_mag = 0.05
       ;
       ; default:   0.05 
@@ -420,16 +661,57 @@
 
       ;***************************************************
-      ; REQUIRED --file_1-- INPUT FILE
-      ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; REQUIRED --file_1-- 1ST INPUT FILE
+      ;
+      ; 1st input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_1"))then
-      
-      
-         file_1 = "File in"
+      if(.not. isvar("file_1"))then
+
+
+         file_1 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_1-- START OF CYCLIC NUMBER OF THE 1ST INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_1"))then  
+      
+          
+         start_f_1 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_1-- END OF CYCLIC NUMBER OF THE 1ST INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_1"))then  
+      
+          
+         end_f_1 = -1 
 	 
 	 
@@ -470,5 +752,5 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
+      ; declare path and name of the output file
       ;
       ; data type: string
@@ -484,5 +766,5 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
@@ -500,5 +782,5 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
@@ -508,8 +790,8 @@
       ; default:   2 
       ;***************************************************
-      if (.not. isvar("no_lines"))then	
+      if (.not. isvar("no_rows"))then	
       
        
-         no_lines = 2
+         no_rows = 2
 	 
 	 
@@ -518,10 +800,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"; 
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if (.not. isvar("var"))then
@@ -535,8 +818,8 @@
       ; OPTIONAL ---no_files-- NUMBER OF INPUT FILES
       ;
-      ; up to 12 input files can be used; all input files must contain the same variables and dimensionalties;
-      ; identical variables will be merged in one plot;
+      ; up to 6 input files of different runs can be used; all input files must contain the same variables and dimensionalties;
+      ; identical variables are merged in one plot;
       ; combining or overlaying of any variables is not feasible;
-      ; an extra legend (besides the time step legend) will be drawn where you can explicitily name the items
+      ; an extra legend (besides the time step legend) is drawn where you can explicitily name the items
       ;
       ; data type: integer
@@ -566,21 +849,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 1 --file_2-- 2nd INPUT FILE
-      ;
-      ; 2nd input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 1 --file_2-- 2ND INPUT FILE
+      ;
+      ; 2nd input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_2 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_2 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_2"))then  
+      if(.not. isvar("file_2"))then
+
+
+         file_2 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_2-- START OF CYCLIC NUMBER OF THE 2ND INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_2"))then  
       
           
-         file_2 = "File in"
-	 
-	 
-      end if 	 
+         start_f_2 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_2-- END OF CYCLIC NUMBER OF THE 2ND INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_2"))then  
+      
+          
+         end_f_2 = -1 
+	 
+	 
+      end if 	 	 
       ;***************************************************
       ; OPTIONAL --name_legend_2-- 2nd LEGEND ITEM
@@ -598,21 +922,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 2 --file_3-- 3rd INPUT FILE
-      ;
-      ; 3rd input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if 
+      ;***************************************************
+      ; REQUIRED if no_files > 2 --file_3-- 3RD INPUT FILE
+      ;
+      ; 3rd input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_3 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_3 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_3"))then    
-      
-        
-         file_3 = "File in"
-	 
-	 
-      end if 	 
+      if(.not. isvar("file_3"))then
+
+
+         file_3 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_3-- START OF CYCLIC NUMBER OF THE 3RD INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_3"))then  
+      
+          
+         start_f_3 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_3-- END OF CYCLIC NUMBER OF THE 3RD INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_3"))then  
+      
+          
+         end_f_3 = -1 
+	 
+	 
+      end if   
       ;***************************************************
       ; OPTIONAL --name_legend_3-- 3rd LEGEND ITEM
@@ -630,21 +995,62 @@
 	 
 	 
-      end if 	 
-      ;***************************************************
-      ; REQUIRED IF no_files > 3 --file_4-- 4th INPUT FILE
-      ;
-      ; 4th input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      end if
+      ;***************************************************
+      ; REQUIRED if no_files > 3 --file_4-- 4TH INPUT FILE
+      ;
+      ; 4th input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_4 = "/path_to_file/file_pr"      if you use more than one cycle number
+      ;          file_4 = "/path_to_file/file_pr.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_4"))then
-      
-            
-         file_4 = "File in"
-	 
-	 
-      end if 	 
+      if(.not. isvar("file_4"))then
+
+
+         file_4 = "File in" 
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --start_f_4-- START OF CYCLIC NUMBER OF THE 4TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f_4"))then  
+      
+          
+         start_f_4 = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED --end_f_4-- END OF CYCLIC NUMBER OF THE 4TH INPUT FILE
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f_4"))then  
+      
+          
+         end_f_4 = -1 
+	 
+	 
+      end if  
       ;***************************************************
       ; OPTIONAL --name_legend_4-- 4th LEGEND ITEM
